#ifndef LINKEDLIST_HPP_INCLUDED
#define LINKEDLIST_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "Node.hpp"

namespace Internal
{
    class LinkedList : public Object
    {
        public:
            LinkedList();
            LinkedList(const void* Obj);
            LinkedList(const LinkedList& L);
            static Class GetClass();

            Node GetHead() const;
            Node GetTail() const;

    };
}

#endif // LINKEDLIST_HPP_INCLUDED
